% ordering definition
%
% precedence
%
grF(d,0).
grF(d,minus).
grF(d,plus).
grF(d,times).
grF(d,sin).
grF(d,cos).
%
% status (default mul; extended with the equivalence of the precedence)
% must be compatible with the equivalence
%
stat(d,mul). 
%stat(f,lex-lr). %lexicographic left-to-right 

% Initial equations
% "abs" is a reserved word
% varibles are capitalized and names are not
%
eq([(x,E)], d(abs(x,E)),            0                  ).
eq([],      d(abs(x,minus(E))),     minus(d(abs(x,E))) ).
eq([],      d(abs(x,plus(E1,E2))),  plus(d(abs(x,E1)),d(abs(x,E2))) ).
eq([],      d(abs(x,times(E1,E2))),
plus(times(E2,d(abs(x,E1))),times(E1,d(abs(x,E2)))) ).
eq([],      d(abs(x,sin(E))), times(cos(E),d(abs(x,E))) ).
eq([],      d(abs(x,cos(E))), times(minus(sin(E)),d(abs(x,E)))).
eq([],      times(0,E),  0 ).
eq([],      times(E,0),  0 ). 



